Subject: Re: [PATCH] t0610: work around flaky test with concurrent writers

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Oct 2024 09:22:13 -0700

Patrick Steinhardt <[email-masked]> writes:

> This fix can be applied to remove some of the stress with the Git v2.47
> release pending. If would of course be preferable to find an alternate
> fix that makes MinGW work as required, but if you take the 500 lines of
> code that is the rename(3P) implemenation of Cygwin as a hint you
> quickly figure out that this is a rather complex problem.

Yup, this is good for 2.47 and I agree it is sensible to punt the
real solution after the upcoming release.

Thanks.